geos::geomgraph::EdgeIntersectionList Class Referencefinal

A list of edge intersections along an Edge. More...

`#include <EdgeIntersectionList.h>`

## Public Types

using | container = std::vector<EdgeIntersection>
using | const_iterator = container::const_iterator

## Public Member Functions

| EdgeIntersectionList (const Edge *edge)
void | add (const geom::Coordinate &coord, std::size_t segmentIndex, double dist)
const_iterator | begin () const
const_iterator | end () const
bool | isEmpty () const
bool | isIntersection (const geom::Coordinate &pt) const
void | addEndpoints ()
void | addSplitEdges (std::vector< Edge * > *edgeList)
Edge * | createSplitEdge (const EdgeIntersection *ei0, const EdgeIntersection *ei1)
std::string | print () const

## Public Attributes

const Edge * | edge

## Detailed Description

A list of edge intersections along an Edge.

Implements splitting an edge with intersections into multiple resultant edges.

## Member Function Documentation

## addSplitEdges()

void geos::geomgraph::EdgeIntersectionList::addSplitEdges | ( | std::vector< Edge * > * | edgeList | ) |

Creates new edges for all the edges that the intersections in this list split the parent edge into. Adds the edges to the input list (this is so a single list can be used to accumulate all split edges for a Geometry).

Parameters

  edgeList | a list of EdgeIntersections

The documentation for this class was generated from the following file:

- EdgeIntersectionList.h